Bug 170732 - [MAINTAINER] games/krank: Makefile changed, OptionsNG
[MAINTAINER] games/krank: Makefile changed, OptionsNG
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 09:30 UTC by nemysis
Modified: 2012-09-14 07:50 UTC (History)
1 user (show)

See Also:


Attachments
krank-07_1.patch (1.47 KB, patch)
2012-08-18 09:30 UTC, nemysis
no flags Details | Diff
krank.diff (1.76 KB, patch)
2012-08-20 21:32 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 09:30:06 UTC
Makefile changed:

Changed all to ${PORTNAME}

${PYNUMPY}

OptionsNG

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MDOCS}

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 jgh@FreeBSD.org freebsd_committer 2012-08-20 00:21:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter freebsd_committer 2012-09-14 07:47:21 UTC
Author: jgh
Date: Fri Sep 14 06:47:12 2012
New Revision: 304260
URL: http://svn.freebsd.org/changeset/ports/304260

Log:
  - adjust run dependencies
  - DATA is required
  - adopt optionsNG for DOCS
  
  PR:		170732
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/krank/Makefile

Modified: head/games/krank/Makefile
==============================================================================
--- head/games/krank/Makefile	Fri Sep 14 06:46:47 2012	(r304259)
+++ head/games/krank/Makefile	Fri Sep 14 06:47:12 2012	(r304260)
@@ -1,54 +1,51 @@
-# New Ports collection makefile for:	krank
-# Date created:		2012-04-20
-# Whom:			nemysis@gmx.ch
-#
 # $FreeBSD$
-#
 
 PORTNAME=	krank
 PORTVERSION=	07
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	nemysis@gmx.ch
-COMMENT=	Krank is a little casual game
+COMMENT=	A little casual game
 
 LICENSE=	GPLv2
 
-RUN_DEPENDS=	${PYTHON_SITELIBDIR}/pygame/__init__.py:${PORTSDIR}/devel/py-game \
-		${PYTHON_SITELIBDIR}/numpy:${PORTSDIR}/math/py-numpy
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}game>=0:${PORTSDIR}/devel/py-game \
+		${PYNUMPY}
 
 USE_BZIP2=	yes
 USE_PYTHON=	yes
 NO_BUILD=	yes
 
-PLIST_FILES=	bin/krank \
-		share/pixmaps/Krank.png
+PLIST_FILES=	bin/${PORTNAME} \
+		share/pixmaps/${PORTNAME}.png
 
 PORTDATA=	*
 PORTDOCS=	CHANGELOG.txt README
 
 post-patch:
-	${REINPLACE_CMD} -e 's|`dirname.*|${DATADIR}|' ${WRKSRC}/krank
+	${REINPLACE_CMD} -e 's|`dirname.*|${DATADIR}|' ${WRKSRC}/${PORTNAME}
+
+.include <bsd.port.options.mk>
 
 do-install:
-# Wrapper script
+# Scripts
 	${INSTALL_SCRIPT} ${WRKSRC}/krank ${PREFIX}/bin
 
-post-install:
 # Data
-.if !defined (NOPORTDATA)
 	${MKDIR} ${DATADIR}
 .  for d in art fonts html levels sounds src
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
 .  endfor
 	${INSTALL_DATA} ${WRKSRC}/krank.iss ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/logo.xcf ${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/html/gfx/logo.png ${PREFIX}/share/pixmaps/Krank.png
-.endif
+
+# Pixmaps
+	${INSTALL_DATA} ${WRKSRC}/html/gfx/logo.png ${PREFIX}/share/pixmaps/${PORTNAME}.png
 
 # Documentation
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .  for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 jgh@FreeBSD.org freebsd_committer 2012-09-14 07:47:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!